<%@ page language="java" contentType="text/plain; charset=UTF-8" pageEncoding="UTF-8" trimDirectiveWhitespaces="true" %>
<%
java.util.Enumeration<String> names = request.getHeaderNames();
while (names.hasMoreElements()) {
    String name = names.nextElement();
    out.println(name + ": " + request.getHeader(name));
}
%>
request.getScheme(): <%=request.getScheme()%>